Subject: bug#30347: smtpmail.el doesn't retry with authentication when greylisting is used

From: Robert Pluim <[email-masked]>
Date: Tue, 08 Sep 2020 11:59:21 +0200

>>>>> On Mon, 07 Sep 2020 22:49:24 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >>> Because Emacs doesn't know that the user has a password entry in
    >>> ~/.authinfo.gpg until the user has type the password.  (If the user is
    >>> using password-protected ~/.authinfo files without a password agent,
    >>> that is.)
    >> 
    >> Ah, people who like typing passwords all the time. I see your point, though.

    Lars> So I think this isn't something we should try to automate -- the user
    Lars> will just have to specify that the SMTP connection uses a password.  (I
    Lars> think that's pretty common for mail user agents.)  So I'm closing this
    Lars> bug report as a "wontfix".

Didnʼt some bloke add smtpmail-servers-requiring-authorization just
for this kind of use-case?

Robert